Lintian::Conffiles(3)

NAME
Lintian::Conffiles - access to collected control data for conffiles

SYNOPSIS
    use Lintian::Processable;

DESCRIPTION
Lintian::Conffiles provides an interface to control data for conffiles.

INSTANCE METHODS

by_file
parse
all_entries
    Returns a list of absolute filenames found for conffiles.

is_known (FILE)
    Returns a truth value if FILE is listed in the conffiles control file. If the control file is not present or FILE is not listed in it, it returns "undef".

    Note that FILE should be the filename relative to the package root (even though the control file uses absolute paths). If the control file does relative paths, they are assumed to be relative to the package root as well (and used without warning).

AUTHOR
Originally written by Felix Lechner <felix.lechner@lease-up.com> for Lintian.

SEE ALSO
lintian(1)